summaryrefslogtreecommitdiff
path: root/tests.branching/checkout-existing-branch.script
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-23 14:17:27 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-23 14:17:27 +0000
commiteb655d7f9fcd3a744959893e4ee19a1a5cc35a18 (patch)
treeb64fc8bf3eeeab7641e42ee1833ca8cfc2f66076 /tests.branching/checkout-existing-branch.script
parent5aa1716e971a424dc1dbe6e4c69a36eb7c95e714 (diff)
downloadmorph-eb655d7f9fcd3a744959893e4ee19a1a5cc35a18.tar.gz
Add "morph checkout" command
Diffstat (limited to 'tests.branching/checkout-existing-branch.script')
-rwxr-xr-xtests.branching/checkout-existing-branch.script33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests.branching/checkout-existing-branch.script b/tests.branching/checkout-existing-branch.script
new file mode 100755
index 00000000..74941e18
--- /dev/null
+++ b/tests.branching/checkout-existing-branch.script
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Verify that "morph checkout master" works.
+
+
+set -eu
+
+
+cd "$DATADIR/mine"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" checkout master
+
+echo "File tree:"
+"$SRCDIR/scripts/list-tree" . | grep -v '/\.git/' |
+ sed 's,/cache/gits/file_[^/]*_,/cache/gits/file_,'
+
+echo "Current branches:"
+"$SRCDIR/scripts/run-git-in" master/morphs branch